package com.objis.demostruts;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.objis.demostruts.dao.DemandeFormationDao;
import com.objis.demostruts.domaine.DemandeFormation;

public class DatabaseAction extends Action {

	@Override
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
	
		// Appel DAO
		// TODO : passer par un couche 'service'
		DemandeFormationDao demandeDao = new DemandeFormationDao();
		
		// Rcupration Employ avec ID = 1
		DemandeFormation demandeformation = demandeDao.getDemandeFormationByID(1);
				
		// Mise en session d'informations.
		HttpSession session = request.getSession();
		//session.setAttribute("demande", emp.getNom());
		session.setAttribute("demande", demandeformation);
		
		if (demandeformation.getAddress() != null){
			return mapping.findForward("success");
		}else
			return mapping.findForward("failure");
		}
}
